org.apache.tinkerpop.gremlin.driver

## Class Client.SessionSettings.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.Client.SessionSettings.Builder

- Enclosing class:
    Client.SessionSettings

      public static class Client.SessionSettings.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Client.SessionSettings` | `create()`
    `Client.SessionSettings.Builder` | `forceClosed(boolean forced)` Determines if the session should be force closed when the client is closed.
    `Client.SessionSettings.Builder` | `maintainStateAfterException(boolean maintainStateAfterException)` When `true` an exception within a session will not close the session and remove the state bound to that session.
    `Client.SessionSettings.Builder` | `manageTransactions(boolean manage)` If enabled, transactions will be "managed" such that each request will represent a complete transaction.
    `Client.SessionSettings.Builder` | `sessionId(String sessionId)` Provides the identifier of the session.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### maintainStateAfterException

          public Client.SessionSettings.Builder maintainStateAfterException(boolean maintainStateAfterException)

      When `true` an exception within a session will not close the session and remove the state bound to that session. This setting is for the `UnifiedChannelizer` and when set to `true` will allow sessions to behave similar to how they did under the `OpProcessor` approach original to Gremlin Server. By default this value is `false`.

    - #### manageTransactions

          public Client.SessionSettings.Builder manageTransactions(boolean manage)

      If enabled, transactions will be "managed" such that each request will represent a complete transaction. By default this value is `false`.

    - #### sessionId

          public Client.SessionSettings.Builder sessionId(String sessionId)

      Provides the identifier of the session. This value cannot be null or empty. By default it is set to a random `UUID`.

    - #### forceClosed

          public Client.SessionSettings.Builder forceClosed(boolean forced)

      Determines if the session should be force closed when the client is closed. Force closing will not attempt to close open transactions from existing running jobs and leave it to the underlying graph to decided how to proceed with those orphaned transactions. Setting this to `true` tends to lead to faster close operation which can be desirable if Gremlin Server has a long session timeout and a long script evaluation timeout as attempts to close long run jobs can occur more rapidly. By default, this value is `false`.

    - #### create

          public Client.SessionSettings create()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.